## org.apache.fop.layout.inline
Class LeaderArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.layout.inline.InlineArea
                        |
                        +--org.apache.fop.layout.inline.LeaderArea

public class LeaderArea
extends InlineArea

Fields inherited from class org.apache.fop.layout.inline.InlineArea
`height, lineThrough, overlined, pageNumberId, underlined`

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`LeaderArea(FontState fontState, float red, float green, float blue, java.lang.String text, int leaderLengthOptimum, int leaderPattern, int ruleThickness, int ruleStyle)`

Method Summary
`int` `getLeaderLength()`
`int` `getLeaderPattern()`
`int` `getRuleStyle()`
`int` `getRuleThickness()`
`void` `render(Renderer renderer)`

Methods inherited from class org.apache.fop.layout.inline.InlineArea
`getBlue, getGreen, getHeight, getLineThrough, getOverlined, getPageNumberID, getRed, getUnderlined, getVerticalAlign, getYOffset, setHeight, setLineThrough, setOverlined, setUnderlined, setVerticalAlign, setYOffset`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LeaderArea

    public LeaderArea(FontState fontState,
                      float red,
                      float green,
                      float blue,
                      java.lang.String text,
                      int leaderLengthOptimum,
                      int leaderPattern,
                      int ruleThickness,
                      int ruleStyle)

Method Detail

### render

    public void render(Renderer renderer)

  Overrides:
    render in class Box

### getRuleThickness

    public int getRuleThickness()

### getRuleStyle

    public int getRuleStyle()

### getLeaderPattern

    public int getLeaderPattern()

### getLeaderLength

    public int getLeaderLength()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.